## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class DataLinkDataTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl
                          org.eclipse.datatools.modelbase.sql.datatypes.impl.DataLinkDataTypeImpl

All Implemented Interfaces:
  DataLinkDataType, DataType, PredefinedDataType, SQLDataType, SQLObject

public class DataLinkDataTypeImpl
extends PredefinedDataTypeImpl
implements DataLinkDataType

An implementation of the model object 'Data Link Data Type'.

The following features are implemented:

- `Length`
- `Link Control`
- `Integrity Control`
- `Read Permission`
- `Write Permission`
- `Recovery`
- `Unlink`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`IntegrityControlOption` `getIntegrityControl()`
`int` `getLength()`
`LinkControlOption` `getLinkControl()`
`ReadPermissionOption` `getReadPermission()`
`UnlinkOption` `getUnlink()`
`WritePermissionOption` `getWritePermission()`
`boolean` `isRecovery()`
`void` `setIntegrityControl(IntegrityControlOption newIntegrityControl)`
`void` `setLength(int newLength)`
`void` `setLinkControl(LinkControlOption newLinkControl)`
`void` `setReadPermission(ReadPermissionOption newReadPermission)`
`void` `setRecovery(boolean newRecovery)`
`void` `setUnlink(UnlinkOption newUnlink)`
`void` `setWritePermission(WritePermissionOption newWritePermission)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl
`getPrimitiveType, setPrimitiveType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eInverseAdd, eInverseRemove, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `DataLinkDataType`
  Returns:
    the value of the 'Length' attribute.
  See Also:
    `DataLinkDataType.setLength(int)`, `SQLDataTypesPackage.getDataLinkDataType_Length()`

### setLength

    public void setLength(int newLength)

  Specified by:
    `setLength` in interface `DataLinkDataType`
  Parameters:
    `newLength` - the new value of the 'Length' attribute.
  See Also:
    `DataLinkDataType.getLength()`

### getLinkControl

    public LinkControlOption getLinkControl()

  Specified by:
    `getLinkControl` in interface `DataLinkDataType`
  Returns:
    the value of the 'Link Control' attribute.
  See Also:
    `LinkControlOption`, `DataLinkDataType.setLinkControl(LinkControlOption)`, `SQLDataTypesPackage.getDataLinkDataType_LinkControl()`

### setLinkControl

    public void setLinkControl(LinkControlOption newLinkControl)

  Specified by:
    `setLinkControl` in interface `DataLinkDataType`
  Parameters:
    `newLinkControl` - the new value of the 'Link Control' attribute.
  See Also:
    `LinkControlOption`, `DataLinkDataType.getLinkControl()`

### getIntegrityControl

    public IntegrityControlOption getIntegrityControl()

  Specified by:
    `getIntegrityControl` in interface `DataLinkDataType`
  Returns:
    the value of the 'Integrity Control' attribute.
  See Also:
    `IntegrityControlOption`, `DataLinkDataType.setIntegrityControl(IntegrityControlOption)`, `SQLDataTypesPackage.getDataLinkDataType_IntegrityControl()`

### setIntegrityControl

    public void setIntegrityControl(IntegrityControlOption newIntegrityControl)

  Specified by:
    `setIntegrityControl` in interface `DataLinkDataType`
  Parameters:
    `newIntegrityControl` - the new value of the 'Integrity Control' attribute.
  See Also:
    `IntegrityControlOption`, `DataLinkDataType.getIntegrityControl()`

### getReadPermission

    public ReadPermissionOption getReadPermission()

  Specified by:
    `getReadPermission` in interface `DataLinkDataType`
  Returns:
    the value of the 'Read Permission' attribute.
  See Also:
    `ReadPermissionOption`, `DataLinkDataType.setReadPermission(ReadPermissionOption)`, `SQLDataTypesPackage.getDataLinkDataType_ReadPermission()`

### setReadPermission

    public void setReadPermission(ReadPermissionOption newReadPermission)

  Specified by:
    `setReadPermission` in interface `DataLinkDataType`
  Parameters:
    `newReadPermission` - the new value of the 'Read Permission' attribute.
  See Also:
    `ReadPermissionOption`, `DataLinkDataType.getReadPermission()`

### getWritePermission

    public WritePermissionOption getWritePermission()

  Specified by:
    `getWritePermission` in interface `DataLinkDataType`
  Returns:
    the value of the 'Write Permission' attribute.
  See Also:
    `WritePermissionOption`, `DataLinkDataType.setWritePermission(WritePermissionOption)`, `SQLDataTypesPackage.getDataLinkDataType_WritePermission()`

### setWritePermission

    public void setWritePermission(WritePermissionOption newWritePermission)

  Specified by:
    `setWritePermission` in interface `DataLinkDataType`
  Parameters:
    `newWritePermission` - the new value of the 'Write Permission' attribute.
  See Also:
    `WritePermissionOption`, `DataLinkDataType.getWritePermission()`

### isRecovery

    public boolean isRecovery()

  Specified by:
    `isRecovery` in interface `DataLinkDataType`
  Returns:
    the value of the 'Recovery' attribute.
  See Also:
    `DataLinkDataType.setRecovery(boolean)`, `SQLDataTypesPackage.getDataLinkDataType_Recovery()`

### setRecovery

    public void setRecovery(boolean newRecovery)

  Specified by:
    `setRecovery` in interface `DataLinkDataType`
  Parameters:
    `newRecovery` - the new value of the 'Recovery' attribute.
  See Also:
    `DataLinkDataType.isRecovery()`

### getUnlink

    public UnlinkOption getUnlink()

  Specified by:
    `getUnlink` in interface `DataLinkDataType`
  Returns:
    the value of the 'Unlink' attribute.
  See Also:
    `UnlinkOption`, `DataLinkDataType.setUnlink(UnlinkOption)`, `SQLDataTypesPackage.getDataLinkDataType_Unlink()`

### setUnlink

    public void setUnlink(UnlinkOption newUnlink)

  Specified by:
    `setUnlink` in interface `DataLinkDataType`
  Parameters:
    `newUnlink` - the new value of the 'Unlink' attribute.
  See Also:
    `UnlinkOption`, `DataLinkDataType.getUnlink()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `PredefinedDataTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `PredefinedDataTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `PredefinedDataTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `PredefinedDataTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PredefinedDataTypeImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.